﻿<%@ Page Language="C#"
    MasterPageFile="~/Resources/MasterPages/Application.Master"
    CodeBehind="History.aspx.cs"
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.ChangeScripts.History" %>

<asp:Content ContentPlaceHolderID="MainContent" runat="server">

    <h1><%= Server.HtmlEncode(Title) %></h1>
    
    <bm:FilterString ID="ctlFilter" runat="server">
        <Snippets>
            <bm:TextSnippet>Show</bm:TextSnippet>
            <bm:ListSnippet Name="Count">
                <bm:ListSnippetItem Text="all" Value="" />
                <bm:ListSnippetItem Text="last 25" Value="25" />
                <bm:ListSnippetItem Text="last 50" Value="50" />
                <bm:ListSnippetItem Text="last 100" Value="100" />
            </bm:ListSnippet>
            <bm:ListSnippet Name="IncludeInactive">
                <bm:ListSnippetItem Text="active" Value="N" />
                <bm:ListSnippetItem Text="active or inactive" Value="Y" />
            </bm:ListSnippet>
            <bm:TextSnippet>change script executions in</bm:TextSnippet>
            <bm:ListSnippet Name="Environment">
                <bm:ListSnippetItem Text="any environment" Value="" />
            </bm:ListSnippet>        
            <bm:TextSnippet>for</bm:TextSnippet>
            <bm:ListSnippet Name="Release">
                <bm:ListSnippetItem Text="any release" Value="" />
            </bm:ListSnippet>
            <bm:TextSnippet>that have</bm:TextSnippet>
            <bm:ListSnippet Name="Status">
                <bm:ListSnippetItem Text="any status" Value="" />
                <bm:ListSnippetItem Text="succeeded" Value="Y" />
                <bm:ListSnippetItem Text="failed" Value="N" />
            </bm:ListSnippet>
        </Snippets>
    </bm:FilterString>

    <bm:StyledGridView runat="server" ID="gvChangeScripts" EmptyDataText="No change script executions match the selected criteria.">
        <Columns>
            <bm:BuildMasterHyperlinkField HeaderText="Script"
                DataTextField="DatabaseChangeScriptExecutions_Extended.Script_Name"
                DataNavigateUrlFormatString="Script.aspx?scriptId={0}"
                DataNavigateUrlFields="DatabaseChangeScriptExecutions_Extended.Script_Id"
                HyperlinkType="Hyperlink" />

            <asp:TemplateField HeaderText="Release">
                <ItemTemplate>
                    <asp:HyperLink runat="server"
                        NavigateUrl='<%# "../releases/release?releaseNumber=" + Server.UrlEncode((string)Eval(TableDefs.DatabaseChangeScriptExecutions_Extended.Release_Number)) %>'
                        Text='<%# Eval(TableDefs.DatabaseChangeScriptExecutions_Extended.Release_Name) %>'
                        Enabled='<%# canViewRelease %>' />
                </ItemTemplate>
            </asp:TemplateField>

            <bm:BuildMasterBoundField HeaderText="Deployable" DataField="DatabaseChangeScriptExecutions_Extended.Deployable_Name" />
            <bm:BuildMasterBoundField HeaderText="Environment" DataField="DatabaseChangeScriptExecutions_Extended.Environment_Name" />
            <bm:BuildMasterBoundField HeaderText="Executed" DataField="DatabaseChangeScriptExecutions_Extended.ExecutedOn_Date" />
            <asp:TemplateField HeaderText="Status">
                <ItemTemplate>
                    <%# Eval(TableDefs.DatabaseChangeScriptExecutions_Extended.Success_Indicator).Equals(Domains.YN.Yes) ?
                        StatusImage.BuildImageHtml(StatusImage.Statuses.Success) + "&nbsp;Succeeded" :
                        StatusImage.BuildImageHtml(StatusImage.Statuses.Failed) + "&nbsp;Failed" %>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </bm:StyledGridView>

</asp:Content>
